Subject: Re: Stacked GIT 0.1 (a.k.a. quilt for git)

From: Jon Seymour <[email-masked]>
Date: Sat, 18 Jun 2005 08:28:58 +1000

> 
> I think it would worth exploring defining a git type for patches and
> storing the patches inside git as well. Then a commit could identify the
> patch it applies (when it is from applying a patch), and a rebased patch
> could reference the patch it replaces, and then (with a certain amount of
> handwaving of implementation) the system could notice when the patch
> you're pushing got applied upstream. Or, at least, git could avoid
> throwing away the history information when it goes through patches. I keep
> thinking that this would be an important feature, but I haven't got the
> familiarity with quilt to know how it should work.
> 

I also think it would be good if patches extracted from git
repositories included some information about exactly where the patch
was extracted from...something like...

signed-off-by: Name <[email-masked]>
---
commit: sha1 -> sha1
tree: sha1 -> sha1

The reason for including the commits is to allow the maintainer to
track exactly where the a given rev of a patch was from. The reason
for including the treeids is to allow appliers to verify that the
patch has produced the same result as the patch submitter.